Determining if the function BZ2_bzCompressInit exists in the D:/ft262/bzip2-1.0.6/libbz2.a failed with the following output:
Change Dir: D:/ft262/build262/CMakeFiles/CMakeTmp

Run Build Command:"C:/windows/Microsoft.NET/Framework/v4.0.30319/MSBuild.exe" "cmTryCompileExec1479019601.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=10.0"
Microsoft (R) Build Engine version 4.6.81.0

[Microsoft .NET Framework, version 4.0.30319.42000]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 01.02.2016 12:42:22.

Project "D:\ft262\build262\CMakeFiles\CMakeTmp\cmTryCompileExec1479019601.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec1479019601.dir\Debug\".

  Creating directory "D:\ft262\build262\CMakeFiles\CMakeTmp\Debug\".

InitializeBuildStatus:

  Creating "cmTryCompileExec1479019601.dir\Debug\cmTryCompileExec1479019601.unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\BullseyeCoverage\bin\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=BZ2_bzCompressInit /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1479019601.dir\Debug\\" /Fd"cmTryCompileExec1479019601.dir\Debug\vc100.pdb" /Gd /TC /analyze- /errorReport:queue "C:\Users\swurzi.AUT-SNEU\Downloads\cmake-3.2.1-win32-x86\share\cmake-3.2\Modules\CheckFunctionExists.c"

  Microsoft (R) 32-bit C/C++ Optimizing Compiler Version 16.00.40219.01 for 80x86

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /Oy- /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=BZ2_bzCompressInit /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1479019601.dir\Debug\\" /Fd"cmTryCompileExec1479019601.dir\Debug\vc100.pdb" /Gd /TC /analyze- /errorReport:queue "C:\Users\swurzi.AUT-SNEU\Downloads\cmake-3.2.1-win32-x86\share\cmake-3.2\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

ManifestResourceCompile:

  C:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A\bin\rc.exe /nologo /fo"cmTryCompileExec1479019601.dir\Debug\cmTryCompileExec1479019601.exe.embed.manifest.res" cmTryCompileExec1479019601.dir\Debug\cmTryCompileExec1479019601_manifest.rc 

Link:

  C:\Program Files (x86)\BullseyeCoverage\bin\link.exe /ERRORREPORT:QUEUE /OUT:"D:\ft262\build262\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec1479019601.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib "D:\ft262\bzip2-1.0.6\libbz2.a" /MANIFEST /ManifestFile:"cmTryCompileExec1479019601.dir\Debug\cmTryCompileExec1479019601.exe.intermediate.manifest" /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /DEBUG /PDB:"D:/ft262/build262/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec1479019601.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/ft262/build262/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec1479019601.lib" /MACHINE:X86 cmTryCompileExec1479019601.dir\Debug\cmTryCompileExec1479019601.exe.embed.manifest.res

  cmTryCompileExec1479019601.dir\Debug\CheckFunctionExists.obj  /machine:X86 /debug 

CheckFunctionExists.obj : error LNK2019: unresolved external symbol _BZ2_bzCompressInit referenced in function _main [D:\ft262\build262\CMakeFiles\CMakeTmp\cmTryCompileExec1479019601.vcxproj]

D:\ft262\build262\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec1479019601.exe : fatal error LNK1120: 1 unresolved externals [D:\ft262\build262\CMakeFiles\CMakeTmp\cmTryCompileExec1479019601.vcxproj]

Done Building Project "D:\ft262\build262\CMakeFiles\CMakeTmp\cmTryCompileExec1479019601.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\ft262\build262\CMakeFiles\CMakeTmp\cmTryCompileExec1479019601.vcxproj" (default target) (1) ->

(Link target) -> 

  CheckFunctionExists.obj : error LNK2019: unresolved external symbol _BZ2_bzCompressInit referenced in function _main [D:\ft262\build262\CMakeFiles\CMakeTmp\cmTryCompileExec1479019601.vcxproj]

  D:\ft262\build262\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec1479019601.exe : fatal error LNK1120: 1 unresolved externals [D:\ft262\build262\CMakeFiles\CMakeTmp\cmTryCompileExec1479019601.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:01.11



